[Player-cvs] mid/installer copyfiles.py,1.18,1.19 postinst,1.5,1.6

[Player-cvs] mid/installer copyfiles.py,1.18,1.19 postinst,1.5,1.6

rustyl at helixcommunity.org rustyl at helixcommunity.org
Wed Jun 4 08:06:18 PDT 2008


Update of /cvsroot/player/mid/installer
In directory cvs01.internal.helixcommunity.org:/tmp/cvs-serv15630/installer

Modified Files:
	copyfiles.py postinst 
Log Message:
Description                                                                     
----------------------------------                                              
Add support for a browser helper application that will allow content            
to be handled by the full MID player (including internet radio.)                
                                                                                
We take advantage of the fact that a mozilla based browser will parse the       
mailcap file to find hints for how to handle various mime-types, and add        
a new entry for m3u and pls files that call realplayer-helper.  The             
realplayer-helper utilitiy will call an import method exposed by the player     
over DBus.                                                                      
                                                                                
NOTE: This patch is only adding mailcap configuration entries for pls and m3u   
      files.  There are many mime-types that the helix infrastructure can       
      handle, but that the plug-in is not registering for (like mp4 files.)     
      These additional types could be added.                                    

Files Modified                                                                  
----------------------------------                                              
player/mid/Makefile                                                             
player/mid/installer/copyfiles.py                                               
player/mid/installer/postinst                                                   
player/mid/rpm/moblin-realplayer-template.spec                                  
player/mid/src/app.py                                                           
player/mid/src/media_service.py                                                 

Branches                                                                        
---------------------------------                                               
HEAD                     



Index: copyfiles.py
===================================================================
RCS file: /cvsroot/player/mid/installer/copyfiles.py,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -d -r1.18 -r1.19
--- copyfiles.py	4 Jun 2008 12:30:10 -0000	1.18
+++ copyfiles.py	4 Jun 2008 15:06:14 -0000	1.19
@@ -496,6 +496,9 @@
 # Copy realplayer executable script file
 inst.CopyFile("../realplayer",
               "usr/bin/realplayer")
+# Copy browser application helper utility
+inst.CopyFile("../realplayer-helper",
+              "usr/bin/realplayer-helper")
 # Copy desktop files
 inst.CopyMultiFiles("../desktop",
                     "usr/share/applications",

Index: postinst
===================================================================
RCS file: /cvsroot/player/mid/installer/postinst,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -d -r1.5 -r1.6
--- postinst	29 Apr 2008 18:24:14 -0000	1.5
+++ postinst	4 Jun 2008 15:06:14 -0000	1.6
@@ -1,3 +1,10 @@
 #! /bin/sh
 
 gconf-schemas --register realplayer.schemas 
+
+MAILCAP=/etc/mailcap
+grep realplayer-helper $MAILCAP > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+    echo "audio/x-scpls; /usr/bin/realplayer-helper '%s'; description=\"Audio Playlist\"; test=test -n \"\$DISPLAY\"; nametemplate=%s.pls" >> $MAILCAP
+    echo "audio/x-mpegurl; /usr/bin/realplayer-helper '%s'; description=\"Audio Playlist\"; test=test -n \"\$DISPLAY\"; nametemplate=%s.m3u" >> $MAILCAP
+fi




More information about the Player-cvs mailing list
 

Site Map   |   Terms of Use   |   Privacy Policy   |   Contact Us

Copyright © 1995-2007 RealNetworks, Inc. All rights reserved. RealNetworks and Helix are trademarks of RealNetworks.
All other trademarks or registered trademarks are the property of their respective holders.